/*
  Copyright 2021 Kakao Corp.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
package com.kakao.sdk.partner.friend.model

import android.os.Parcelable
import com.kakao.sdk.partner.friend.network.model.PickerChat
import kotlinx.android.parcel.Parcelize

// TODO: 챗방 전용 피커 테스트용 Response 모델. 스펙 확정나면 수정할 예정
@Parcelize
data class SelectedChat(
    val id: Long,
    val title: String?,
    val titleSource: String?,
    val imageUrl: String?,
    val memberCount: Int? = 0,
    val displayMemberImages: List<String>? = null,
    var chatType: PickerChat.PickerChatType?
) : Parcelable